//Men erstellen fr Hilfe, Impressum
function createMenu() {
	var optionsMenu = window.menu;

	var impressumItem = new MenuItem("Impressum", 2002);
	var helpItem = new MenuItem("Hilfe", 2003);
	
	impressumItem.onSelect = showImpressum;
	helpItem.onSelect = showHelp;
	
	optionsMenu.append(impressumItem);
	optionsMenu.append(helpItem);
}

var sensorObject = device.getServiceObject("Service.Sensor", "ISensor");
var ver = "v0.1";
var v_akt = 0;
var s_akt = 0;
var mode = 0;
var x = "Press start";

createMenu();
startSE();

if (widget.isrotationsupported) widget.setDisplayPortrait();	//Hochformat
window.menu.hideSoftkeys();										//Fullscreen


function start(a) {
	mode = a;
	interval1 = window.setInterval("loop();",1);
	showWait();
}


function loop() {
	datum = new Date();
	zeit = datum.getTime();
	if (Math.sqrt(x*x+y*y+z*z) < 20) {
		window.clearInterval(interval1);
		interval2 = window.setInterval("loopy();",1);
	}
}

function loopy() {
	if (Math.sqrt(x*x+y*y+z*z) > 50) {
		datum = new Date();
		window.clearInterval(interval2);
		zeit2 = datum.getTime();
		if (mode == 1) {
			cm = parseInt(0.5 * (zeit2 - zeit) * (zeit2 - zeit) * 0.001 * 0.001 * 9.81 * 100);
			inch = parseInt(cm/2.54*10+0.5)/10;
			result = cm + " cm<br>" + inch + " \"";
			document.getElementById("anzeige").innerHTML = result;
		}
		else if (mode == 2) {
			cm = parseInt(0.5 * (zeit2 - zeit) * (zeit2 - zeit) * 0.001 * 0.001 * 9.81 * 100 / 4);
			inch = parseInt(cm/2.54*10+0.5)/10;
			result = cm + " cm<br>" + inch + " \"";
			document.getElementById("anzeige").innerHTML = result;
		}
		showResult(); 
	}
}

function handleSensor(transId, eventCode, result) {
	x = result.ReturnValue.XAxisData;
	y = result.ReturnValue.YAxisData;
	z = result.ReturnValue.ZAxisData;
}


//Sensordaten bestimmen und tracken
function startSE() {
    criteria = new Object();
	criteria.SearchCriterion = "AccelerometerAxis";
		
	result1 = sensorObject.ISensor.FindSensorChannel(criteria);
	sensor = result1.ReturnValue[0];

	var criteria2 = new Object();	
	criteria2.ListeningType = "ChannelData";
	criteria2.ChannelInfoMap = sensor;
	
	result = sensorObject.ISensor.RegisterForNotification(criteria2, handleSensor);
}

//View-Umschaltung
function showMain() {
	document.getElementById("mainView").style.display="block";
	document.getElementById("helpView").style.display="none";
	document.getElementById("impressumView").style.display="none";
	document.getElementById("disclaimerView").style.display="none";
	document.getElementById("waitView").style.display="none";
	document.getElementById("resultView").style.display="none";
}

function showHelp(a) {
	document.getElementById("mainView").style.display="none";
	document.getElementById("helpView").style.display="block";
	document.getElementById("impressumView").style.display="none";
	document.getElementById("disclaimerView").style.display="none";
	document.getElementById("waitView").style.display="none";
	document.getElementById("resultView").style.display="none";
}

function showImpressum(a) {
	document.getElementById("mainView").style.display="none";
	document.getElementById("helpView").style.display="none";
	document.getElementById("impressumView").style.display="block";
	document.getElementById("disclaimerView").style.display="none";
	document.getElementById("waitView").style.display="none";
	document.getElementById("resultView").style.display="none";
}
function showWait(a) {
	document.getElementById("mainView").style.display="none";
	document.getElementById("helpView").style.display="none";
	document.getElementById("impressumView").style.display="none";
	document.getElementById("disclaimerView").style.display="none";
	document.getElementById("waitView").style.display="block";
	document.getElementById("resultView").style.display="none";
}
function showResult(a) {
	document.getElementById("mainView").style.display="none";
	document.getElementById("helpView").style.display="none";
	document.getElementById("impressumView").style.display="none";
	document.getElementById("disclaimerView").style.display="none";
	document.getElementById("waitView").style.display="none";
	document.getElementById("resultView").style.display="block";
}